close all
clear all
clc
directorio=dir('*.');
for ii=1:length(directorio)-2

    directorio2=dir(['.\' directorio(2+ii).name '\*.wav']);
    for jj=1:length(directorio2);
        [x,fs]=audioread(['.\' directorio(2+ii).name '\' directorio2(jj).name]);
        plot((1:length(x))/fs,x)
        [EDT(:,ii,jj),T20(:,ii,jj),T30(:,ii,jj),fc]=rtcalculator(x,fs);
        
        hold on
    end
end
close all
T20promedi=squeeze(mean(T20(:,:,:),3));
semilogx(fc,T20promedi,'LineWidth',3)
set(gca,'FontSize',20)
legend(directorio(3:end).name,'FontSize',12)
axis([100 5000 0 10])
xlabel('f_cent(Hz)','FontSize',20)
ylabel('T20','FontSize',20)
xticks([125 250 500 1000 2000 4000])

volums=[7300.57 9247.73 12522.64 13192.40 5687.35 5593.16 1121.95 3377.18 6450.40];
A=0.162*volums./T20promedi(11,:);
Dc=0.14*sqrt(2*A)
ALCons=9*T20promedi(11,:)
RASTI=-0.1845*log(ALCons)+0.9482 
TRmid=(T20promedi(10,:)+T20promedi(11,:))/2
BR=(T20promedi(8,:)+T20promedi(9,:))./(T20promedi(10,:)+T20promedi(11,:))
Br=(T20promedi(12,:)+T20promedi(13,:))./(T20promedi(10,:)+T20promedi(11,:))
C50=0.15*T20promedi(10,:)+0.25*T20promedi(11,:)+0.35*T20promedi(12,:)+0.25*T20promedi(13,:)
C80=(T20promedi(10,:)+T20promedi(11,:)+T20promedi(12,:))/3

return