function [EDT,T20,T30,fc]=rtcalculator(x,fs);
pintar=0;
figure(1);
fc=[100, 125, 160, 200,250, 315, 400, 500, 630, 800, 1000, 1250, 1600,2000, 2500, 3150, 4000, 5000];
t=(1:length(x))/fs;
for ii=1:length(fc)

    [a, b] = filterbank3(fs, fc(ii));
    y = filter(b,a,x);
    Y=cumsum(y(end:-1:1).^2/max(y.^2));
    Y=10*log10(Y(end:-1:1));Y=Y-Y(1);

    if pintar
        plot(t,Y,'LineWidth',3);
        ylim([-60 5])
        title(num2str(fc(ii)))
        hold on
        pause(.1)
    end
    T30(ii,1)=sum((Y>-35).*(Y<-5))/fs*2;
    T20(ii,1)=sum((Y>-25).*(Y<-5))/fs*3;
    EDT(ii,1)=sum((Y>-12).*(Y<-2))/fs*6;

end
if pintar
    hold off
    semilogx(fc,EDT,fc,T20,fc,T30)
    legend('EDT','T20','T30')
end
return

